close all;                                    % 모든 생성된 창을 닫음 
clear all;                                    % 열려있는 작업영역(workspace)을 모두 비움 
clc;                                          % 명령(command) 창을 비움

N=1024;                                       % 데이터 수 설정
f0=1; fc=20;                                  % 메시지 신호 및 반송파의 주파수 설정
ka=[0.5 1 2];                                 % 변조 민감도 지수 설정
ti=0; tf=2;                                   % 시간 구간 값 설정
Ts=(tf-ti)/N;                                 % 시간(샘플링) 간격 설정 
t=[ti:Ts:tf-Ts];                              % 시간축 생성
df=1/(Ts*N);                                  % 주파수축 간격(해상도) 설정
f=df*[-N/2:N/2-1];                            % 주파수축 생성

m=cos(2*pi*f0*t);                             % 메시지 신호 생성
c=2*cos(2*pi*fc*t);                           % 반송파 생성
s1=(1+ka(1)*m).*c;                            % 변조 신호(ka=0.5) 생성
s2=(1+ka(2)*m).*c;                            % 변조 신호(ka=1) 생성
s3=(1+ka(3)*m).*c;                            % 변조 신호(ka=2) 생성
Sf=fftshift((1/N)*fft(s2));                   % 변조 신호의 스펙트럼 계산

subplot(2,2,1);                               % 2행 열 분할 그림창의 1번 창 
plot(t,s1);                                   % 변조 신호(ka=0.5) 그림
title('\bf{변조 신호(변조 지수=0.5)}');        % 그림 제목 
xlabel('\bf{t}');                             % x축 라벨 표시 
subplot(2,2,3);                               % 2행 2열 분할 그림 창의 3번 창 
plot(t,s2);                                   % 변조 신호(ka=1) 그림
title('\bf{변조 신호(변조 지수=1)}');          % 그림 제목
xlabel('\bf{t}');                             % x축 라벨 표시
subplot(2,2,2);                               % 2행 2열 분할 그림창의 2번 창  
plot(t,s3);                                   % 변조 신호(ka=2) 그림
title('\bf{변조 신호(변조 지수=2)}');          % 그림 제목
xlabel('\bf{t}');                             % x축 라벨 표시 
subplot(2,2,4);                               % 2행 2열 분할 그림창의 4번 창 
stem(f,abs(Sf));                              % 변조 신호(ka=1)의 진폭 스펙트럼을 그림
axis([-25 25 0 1]);                           % 그림 영역 설정
title('\bf{변조 신호의 스펙트럼}');             % 그림 제목
xlabel('\bf{f}');                             % x축 라벨 표시 